// Version du GLSL
#version 150 core

// Entrée
in vec2 coordTexture;

// Uniform
uniform sampler2D texture;

// Sortie
out vec4 out_Color;

// Globale
float lvl;

// Fonction main
void main()
{
    // Couleur du pixel
    out_Color = texture2D(texture, coordTexture);
	lvl = out_Color.x + out_Color.y + out_Color.z;
	lvl /= 3;
	out_Color.x = lvl;
	out_Color.y = lvl;
	out_Color.z = lvl;
}
